Bug 185346 - graphics/gkrellkam2: Support CC properly
Summary: graphics/gkrellkam2: Support CC properly
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Martin Wilke
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-12-30 21:10 UTC by tkato432
Modified: 2014-01-25 16:20 UTC (History)
0 users

See Also:


Attachments
file.diff (2.81 KB, patch)
2013-12-30 21:10 UTC, tkato432
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description tkato432 2013-12-30 21:10:11 UTC
- Support CC properly
- Add LICENSE

Remove file:
files/patch-aa
Comment 1 Martin Wilke freebsd_committer 2014-01-23 15:48:21 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

I'll take it.
Comment 2 dfilter service freebsd_committer 2014-01-25 16:18:38 UTC
Author: miwi
Date: Sat Jan 25 16:18:31 2014
New Revision: 341046
URL: http://svnweb.freebsd.org/changeset/ports/341046
QAT: https://qat.redports.org/buildarchive/r341046/

Log:
  - Support CC properly
  - Add LICENSE
  - Stage support
  
  PR:		185346
  Submitted by:	ports fury

Deleted:
  head/graphics/gkrellkam2/files/patch-aa
Modified:
  head/graphics/gkrellkam2/Makefile

Modified: head/graphics/gkrellkam2/Makefile
==============================================================================
--- head/graphics/gkrellkam2/Makefile	Sat Jan 25 16:17:42 2014	(r341045)
+++ head/graphics/gkrellkam2/Makefile	Sat Jan 25 16:18:31 2014	(r341046)
@@ -6,23 +6,33 @@ PORTVERSION=	2.0.0
 PORTREVISION=	12
 CATEGORIES=	graphics
 MASTER_SITES=	SF/${PORTNAME}/${PORTNAME}2/${PORTVERSION}
+PKGNAMESUFFIX=	2
 DISTNAME=	${PORTNAME}_${PORTVERSION}
 
 MAINTAINER=	ports@FreeBSD.org
 COMMENT=	GKrellM plugin that display thumbnails of periodically updated images
 
-BUILD_DEPENDS=	${LOCALBASE}/include/gkrellm2/gkrellm.h:${PORTSDIR}/sysutils/gkrellm2
-RUN_DEPENDS=	gkrellm:${PORTSDIR}/sysutils/gkrellm2
+LICENSE=	GPLv2 # (or later)
+
+BUILD_DEPENDS=	gkrellm2>0:${PORTSDIR}/sysutils/gkrellm2
+RUN_DEPENDS=	gkrellm2>0:${PORTSDIR}/sysutils/gkrellm2
 
 WRKSRC=		${WRKDIR}/${PORTNAME}-${PORTVERSION}
+
 USES=		gmake pkgconfig
-LATEST_LINK=	gkrellkam2
 
-MAN5=		gkrellkam-list.5
-PLIST_FILES=	libexec/gkrellm2/plugins/gkrellkam2.so
+PLIST_FILES=	libexec/gkrellm2/plugins/gkrellkam2.so \
+		man/man5/gkrellkam-list.5.gz
 
-MAKE_ENV+=	MKDIR="${MKDIR}" \
-		INSTALL_DATA="${INSTALL_DATA}"
+post-patch:
+	@${REINPLACE_CMD} -e \
+		's|gcc|$$(CC)|' ${WRKSRC}/Makefile
+
+do-install:
+	@${MKDIR} ${STAGEDIR}${PREFIX}/libexec/gkrellm2/plugins
+	(cd ${WRKSRC} && ${INSTALL_LIB} gkrellkam2.so \
+		${STAGEDIR}${PREFIX}/libexec/gkrellm2/plugins)
+	(cd ${WRKSRC} && ${INSTALL_MAN} gkrellkam-list.5 \
+		${STAGEDIR}${MAN5PREFIX}/man/man5)
 
-NO_STAGE=	yes
 .include <bsd.port.mk>
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 Martin Wilke freebsd_committer 2014-01-25 16:19:56 UTC
State Changed
From-To: open->closed

Committed. Thanks!